## nim-kexpr 0.0.2

=== Makefile ===
CC=$(CC)

kexpr: kexpr.nim 
	cp kexpr-c.h nimcache/
	nim c --passL:"-lm" kexpr.nim

all: kexpr

=== debian/changelog ===
nim-kexpr (0.0.2-4) unstable; urgency=medium

  * Team Upload.
  * Bump Standards-Version to 4.7.2 (no changes needed)
  * Drop Redundant "Rules-Requires-Root: no"
  * Drop myself from uploaders
  * Mark packages M-A: foreign

 -- Nilesh Patra <nilesh@debian.org>  Sat, 01 Nov 2025 18:18:15 +0530

nim-kexpr (0.0.2-3) unstable; urgency=medium

  * d/control: Update Description (Closes: #985682)
  * Bump Standards-Version to 4.6.0 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Fri, 22 Oct 2021 17:46:05 +0530

nim-kexpr (0.0.2-2) unstable; urgency=medium

  * Fixed Maintainer and added nim-team as uploader.

 -- Steffen Moeller <moeller@debian.org>  Sun, 08 Nov 2020 17:13:26 +0100

nim-kexpr (0.0.2-1) unstable; urgency=medium

  * Initial release (Closes: #973764)

 -- Steffen Moeller <moeller@debian.org>  Wed, 04 Nov 2020 19:09:07 +0100

=== debian/control ===
Source: nim-kexpr
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>,
           Debian Nim Team <team+nim@tracker.debian.org>
Build-Depends: debhelper-compat (= 13),
               nim <!nocheck>
Standards-Version: 4.7.2
Homepage: https://github.com/brentp/kexpr-nim
Vcs-Browser: https://salsa.debian.org/med-team/nim-kexpr
Vcs-Git: https://salsa.debian.org/med-team/nim-kexpr.git

Package: nim-kexpr-dev
Architecture: all
Depends: ${misc:Depends}
Recommends: nim
Multi-Arch: foreign
Description: kexpr math expressions for nim
 This package contains the nim wrapper for Heng Li's kexpr
 math expression library.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1

NIMCACHE=$(CURDIR)/nimcache

%:
	dh $@

override_dh_auto_build:
	# fails in cowbuilder
	#nim doc --nimcache:$(NIMCACHE) kexpr.nim

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	nim c --nimcache:$(NIMCACHE) -r tests.nim
endif

override_dh_auto_clean:
	dh_auto_clean
	rm -rf $(NIMCACHE)
	rm -f kexpr.out nimdoc.out.css tests kexpr.html

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, build-essential, nim
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%nim-kexpr-$1.tar.gz%" \
   https://github.com/brentp/kexpr-nim/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
